## nvidia-cuda-toolkit 7.5.18

=== local/cuda-7.5/nvvm/libnvvm-samples/cuda-c-linking/CMakeLists.txt ===
################################################################################
#
# Copyright 1993-2014 NVIDIA Corporation.  All rights reserved.
#
# NOTICE TO USER:   
#
# This source code is subject to NVIDIA ownership rights under U.S. and 
# international Copyright laws.  
#
# NVIDIA MAKES NO REPRESENTATION ABOUT THE SUITABILITY OF THIS SOURCE 
# CODE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS OR 
# IMPLIED WARRANTY OF ANY KIND.  NVIDIA DISCLAIMS ALL WARRANTIES WITH 
# REGARD TO THIS SOURCE CODE, INCLUDING ALL IMPLIED WARRANTIES OF 
# MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE.   
# IN NO EVENT SHALL NVIDIA BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL, 
# OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS 
# OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE 
# OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE 
# OR PERFORMANCE OF THIS SOURCE CODE.  
#
# U.S. Government End Users.  This source code is a "commercial item" as 
# that term is defined at 48 C.F.R. 2.101 (OCT 1995), consisting  of 
# "commercial computer software" and "commercial computer software 
# documentation" as such terms are used in 48 C.F.R. 12.212 (SEPT 1995) 
# and is provided to the U.S. Government only as a commercial end item.  
# Consistent with 48 C.F.R.12.212 and 48 C.F.R. 227.7202-1 through 
# 227.7202-4 (JUNE 1995), all U.S. Government End Users acquire the 
# source code with only those rights set forth herein.
#
################################################################################


set(LLVM_LINK_COMPONENTS Core Support)

add_llvm_executable(cuda-c-linking cuda-c-linking.cpp)

target_link_libraries(cuda-c-linking ${NVVM_LIB} ${CUDA_LIB})

if (APPLE OR UNIX)
  set_target_properties(cuda-c-linking PROPERTIES
    LINK_FLAGS "-Wl,-rpath,${LIBNVVM_RPATH}")
endif()


##############################
### Math Lib
##############################

### The math library is built as a collection of several variants.  We compile
### one version each for {compute_20, compute_30, compute_35} X {32-bit/64-bit}.
### The results are bundled into a system library using the 'nvcc -lib' feature.

set(mathlib_sources math-funcs.cu)

#>> nvcc -m32 -gencode=compute_20,code=sm_20 ... -dc math-funcs.cu -o math-funcs32.o
add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/math-funcs32.o"
                   COMMAND ${NVCC} -m32 -gencode arch=compute_20,code=sm_20 -gencode arch=compute_30,code=sm_30 -gencode arch=compute_35,code=sm_35 -gencode arch=compute_50,code=sm_50 -dc "${CMAKE_CURRENT_SOURCE_DIR}/math-funcs.cu" -o "${CMAKE_CURRENT_BINARY_DIR}/math-funcs32.o"
                   DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/math-funcs.cu"
                   COMMENT "Building math-funcs32.o")

#>> nvcc -m32 -lib math-funcs32.o -o libmathfuncs32.a
add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs32.a"
                   COMMAND ${NVCC} -m32 -lib "${CMAKE_CURRENT_BINARY_DIR}/math-funcs32.o" -o "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs32.a"
                   DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/math-funcs32.o"
                   COMMENT "Building libmathfuncs32.a")

#>> nvcc -m64 -gencode=compute_20,code=sm_20 ... -dc math-funcs.cu -o math-funcs64.o
add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/math-funcs64.o"
                   COMMAND ${NVCC} -m64 -gencode arch=compute_20,code=sm_20 -gencode arch=compute_30,code=sm_30 -gencode arch=compute_35,code=sm_35 -gencode arch=compute_50,code=sm_50 -dc "${CMAKE_CURRENT_SOURCE_DIR}/math-funcs.cu" -o "${CMAKE_CURRENT_BINARY_DIR}/math-funcs64.o"
                   DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/math-funcs.cu"
                   COMMENT "Building math-funcs64.o")

#>> nvcc -m64 -lib math-funcs64.o -o libmathfuncs64.a
add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs64.a"
                   COMMAND ${NVCC} -m64 -lib "${CMAKE_CURRENT_BINARY_DIR}/math-funcs64.o" -o "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs64.a"
                   DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/math-funcs64.o"
                   COMMENT "Building libmathfuncs64.a")

add_custom_target(mathlib DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs32.a" "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs64.a")

add_dependencies(cuda-c-linking mathlib)

install(TARGETS cuda-c-linking DESTINATION bin)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs32.a"
              "${CMAKE_CURRENT_BINARY_DIR}/libmathfuncs64.a" DESTINATION bin)

=== local/cuda-7.5/extras/CUPTI/sample/callback_event/Makefile ===
#
# Copyright 2011-2015 NVIDIA Corporation. All rights reserved
# 
INCLUDES=-I../../include

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

ifeq ($(OS),Windows_NT)
    export PATH := $(PATH):../../libWin32:../../libx64
    LIBS= -lcuda -L ../../libWin32 -L ../../libx64 -lcupti
    OBJ = obj
else
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib
        LIBS= -Xlinker -framework -Xlinker cuda -L ../../lib -lcupti
    else
        export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib:../../lib64
        LIBS= -lcuda -L ../../lib -L ../../lib64 -lcupti
    endif
    OBJ = o
endif

callback_event: callback_event.$(OBJ)
	nvcc -o $@ callback_event.$(OBJ) $(LIBS)

callback_event.$(OBJ): callback_event.cu
	nvcc -c $(INCLUDES) $<

run: callback_event
	./$<

clean:
	rm -f callback_event callback_event.$(OBJ)

=== local/cuda-7.5/extras/CUPTI/sample/cupti_query/Makefile ===
#
# Copyright 2011-2015 NVIDIA Corporation. All rights reserved
# 
INCLUDES=-I../../include

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

ifeq ($(OS),Windows_NT)
    export PATH := $(PATH):../../libWin32:../../libx64
    LIBS= -lcuda -L ../../libWin32 -L ../../libx64 -lcupti
    OBJ = obj
else
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib
        LIBS= -Xlinker -framework -Xlinker cuda -L ../../lib -lcupti
    else
        export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib:../../lib64
        LIBS= -lcuda -L ../../lib -L ../../lib64 -lcupti
    endif
    OBJ = o
endif

cupti_query: cupti_query.$(OBJ)
	nvcc -o $@ cupti_query.$(OBJ) $(LIBS)

cupti_query.$(OBJ): cupti_query.cpp
	nvcc -c $(INCLUDES) $<

run: cupti_query
	./$<

clean:
	rm -f cupti_query cupti_query.$(OBJ)

=== local/cuda-7.5/extras/CUPTI/sample/sass_source_map/Makefile ===
#
# Copyright 2014-2015 NVIDIA Corporation. All rights reserved
# 
INCLUDES=-I../../include

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

ifeq ($(OS),Windows_NT)
    export PATH := $(PATH):../../libWin32:../../libx64
    LIBS= -lcuda -L ../../libWin32 -L ../../libx64 -lcupti
    OBJ = obj
else
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib
        LIBS= -Xlinker -framework -Xlinker cuda -L ../../lib -lcupti
    else
        export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib:../../lib64
        LIBS= -lcuda -L ../../lib -L ../../lib64 -lcupti
    endif
    OBJ = o
endif

sass_source_map: sass_source_map.$(OBJ)
	nvcc -o $@ sass_source_map.$(OBJ) $(LIBS)

sass_source_map.$(OBJ): sass_source_map.cu
	nvcc -arch=sm_20 -lineinfo  -c $(INCLUDES) $<

run: sass_source_map
	./$<

clean:
	rm -f sass_source_map sass_source_map.$(OBJ)

## nvidia-cuda-toolkit 4.0.17

=== debian/changelog ===
nvidia-cuda-toolkit (4.0.17-3) unstable; urgency=low

  [ Russ Allbery ]
  * Add DM-Upload-Allowed: yes to debian/control.

  [ Andreas Beckmann ]
  * Add compatibility symlink for thrust because nvcc refuses kernels from
    system include directories.  (Closes: #644844)
  * Add a README entry how to install the GPU Computing SDK (code examples).
  * Update lintian overrides.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 10 Oct 2011 20:56:23 +0200

nvidia-cuda-toolkit (4.0.17-2) unstable; urgency=low

  * Upload to unstable.
  * Add XS-Autobuild: yes to debian/control.  See instructions in #602838.
  * Add Depends: libthrust-dev. Thrust has been packaged separately in contrib
    as it is available under the Apache-2.0 license.
  * nvidia-opencl-dev now Provides: opencl-dev.
  * Drop lintian-overrides for shlib-calls-exit (no longer emitted in 2.5.1).
  * Enable multiarch build.
    - Add and use #LIBDIR# substitution.
    - Add misc:Pre-Depends and Multi-Arch: same.
    - Add conflicts with biarch libraries.
    - Use compat level 9.
  * Set Maintainer to Debian NVIDIA Maintainers and move myself to Uploaders.
  * Add Russ Allbery to Uploaders.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 25 Jun 2011 18:20:19 +0200

nvidia-cuda-toolkit (4.0.17-1) experimental; urgency=low

  * New upstream release 4.0.
  * Upload to experimental.
  * Detect license changes by comparing debian/copyright with upstream
    EULA.txt during build.
  * Refresh debian/copyright from the updated EULA.txt in 4.0.
  * Switch to arch tagged overrides (lintian 2.5.0).
  * Add dependency on gcc-4.4/g++-4.4, add gcc/g++ compatibility symlinks.
    The CUDA toolkit does not work with 4.5 or newer compilers.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 27 May 2011 15:00:56 +0200

nvidia-cuda-toolkit (4.0.13-1) experimental; urgency=low

  * New upstream release candidate 4.0 RC2.
    - The OpenCL API 1.1 is now implemented.
  * Upload to experimental.
  * Upstream has bumped the SOVERSION from 3 to 4, rename the packages
    accordingly.
  * Update install lists and symbols files.
  * Add lintian-overrides for shlib-calls-exit.
  * Add packages libnpp4 and lib32npp4 for the NVIDIA Performance Primitives
    library.
  * Allow libopencl1 as an alternative to nvidia-libopencl1.
  * Add Breaks: nvidia-libopencl1 (<< 195.36.31-90) because the older version
    from squeeze doesn't contain the libOpenCL.so symlink.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 15 May 2011 18:12:01 -0700

nvidia-cuda-toolkit (3.2.16-2) unstable; urgency=low

  * Upload to unstable.
  * Use dpkg-parsechangelog to extract the upstream version number from
    debian/changelog, simplifying debian/rules.defs even more.
  * Generate watch file in the clean target.  The watch file is now limited to
    updates to the current release as NVIDIA no longer provides a page
    redirecting to the current release.
  * Switch to Standards-Version: 3.9.2 (no changes needed).

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 26 Apr 2011 18:56:41 -0700

nvidia-cuda-toolkit (3.2.16-1) experimental; urgency=low

  * New upstream release 3.2.
  * Upload to experimental.
  * Upstream no longer ships the manual pages.
  * Create new packages libcusparse3 and libcurand3 (and their 32-bit
    variants) for the libraries added by NVIDIA.
  * Update symbols files and install lists.
  * Update lintian overrides.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 20 Nov 2010 19:20:46 -0800

nvidia-cuda-toolkit (3.1-1) experimental; urgency=low

  * New upstream release 3.1.
  * Initial release.  (Closes: #581184)
  * Upload to experimental.

 -- Andreas Beckmann <debian@abeckmann.de>  Mon, 11 Oct 2010 15:15:18 +0200

=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <debian@abeckmann.de>,
 Russ Allbery <rra@debian.org>,
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8.1.3),
 libc6-i386 (>= 2.9-18) [amd64],
 lib32stdc++6 [amd64],
 libqt4-assistant,
 libqt4-xml,
 libqtgui4,
 libcuda1,
Standards-Version: 3.9.2
Homepage: http://www.nvidia.com/CUDA
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-cuda-toolkit/
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: i386 amd64
Depends:
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}),
 gcc-4.4, g++-4.4,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-compute-profiler (= ${binary:Version}),
Description: NVIDIA CUDA toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler etc.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Conflicts: nvidia-cuda-debugger
Replaces: nvidia-cuda-debugger
Description: NVIDIA CUDA GDB
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-compute-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Conflicts: nvidia-cuda-profiler, nvidia-opencl-profiler
Replaces: nvidia-cuda-profiler, nvidia-opencl-profiler
Description: NVIDIA Compute Visual Profiler
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the Compute Visual Profiler.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 libcudart4 (= ${binary:Version}),
 libcublas4 (= ${binary:Version}),
 libcufft4 (= ${binary:Version}),
 libcusparse4 (= ${binary:Version}),
 libcurand4 (= ${binary:Version}),
 libnpp4 (= ${binary:Version}),
 libthrust-dev,
 ${misc:Depends}
Recommends:
 libcuda1,
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 nvidia-libopencl1 | libopencl1,
 opencl-headers (>> 1.1),
 ${misc:Depends}
Recommends:
 libgl1-mesa-dev | libgl-dev,
Provides:
 opencl-dev,
Breaks:
 nvidia-libopencl1 (<< 195.36.31-90)
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcuda1 (>= ${nvidia:MinVersion})
Conflicts: lib32cudart4 [i386]
Description: NVIDIA CUDA runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the runtime library.

Package: lib32cudart4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcuda1-ia32 (>= ${nvidia:MinVersion})
Description: NVIDIA CUDA runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the runtime library (32-bit).

Package: libcublas4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cublas4 [i386]
Description: NVIDIA CUDA BLAS runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA BLAS runtime library.

Package: lib32cublas4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA BLAS runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA BLAS runtime library (32-bit).

Package: libcufft4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cufft4 [i386]
Description: NVIDIA CUDA FFT runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA FFT runtime library.

Package: lib32cufft4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA FFT runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA FFT runtime library (32-bit).

Package: libcusparse4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cusparse4 [i386]
Description: NVIDIA CUDA Sparse Matrix runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Sparse Matrix runtime library.

Package: lib32cusparse4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA Sparse Matrix runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Sparse Matrix runtime library (32-bit).

Package: libcurand4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32curand4 [i386]
Description: NVIDIA CUDA Random Numbers Generation runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Random Numbers Generation runtime library.

Package: lib32curand4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUDA Random Numbers Generation runtime library (32-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Random Numbers Generation runtime library
 (32-bit).

Package: libnpp4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32npp4 [i386]
Homepage: http://developer.nvidia.com/npp
Description: NVIDIA Performance Primitives runtime library
 NVIDIA NPP is a library of functions for performing CUDA accelerated
 processing.  The initial set offunctionality in the library focuses on imaging
 and video processing and is widely applicable for developers in these areas.
 NPP will evolve over time to encompass more of the compute heavy tasks in a
 variety of problem domains.  The NPP library is written to maximize
 flexibility, while maintaining high performance.
 .
 This package contains the NVIDIA Performance Primitives runtime library.

Package: lib32npp4
Architecture: amd64
Pre-Depends: libc6-i386 (>= 2.9-18)
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://developer.nvidia.com/npp
Description: NVIDIA Performance Primitives runtime library (32-bit)
 NVIDIA NPP is a library of functions for performing CUDA accelerated
 processing.  The initial set offunctionality in the library focuses on imaging
 and video processing and is widely applicable for developers in these areas.
 NPP will evolve over time to encompass more of the compute heavy tasks in a
 variety of problem domains.  The NPP library is written to maximize
 flexibility, while maintaining high performance.
 .
 This package contains the NVIDIA Performance Primitives runtime library
 (32-bit).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

include debian/rules.defs
CUDA_VERSION_TOOLKIT	:= $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2 | cut -d- -f 1)
CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
MULTIARCH		?=
version_toolkit	 = $(CUDA_VERSION_TOOLKIT)
version_driver	 = $(CUDA_VERSION_DRIVER)
filename_i386	 = $(CUDA_FILENAME_X86)
filename_amd64	 = $(CUDA_FILENAME_X86_64)
filename	 = $(filename_$(DEB_HOST_ARCH))
download_url	 = $(if $(CUDA_BETA),$(CUDA_DOWNLOAD_URL_BETA),$(CUDA_DOWNLOAD_URL))

# system libdir
libdir			 = usr/lib$(if $(MULTIARCH),/$(DEB_HOST_MULTIARCH))

TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN         += $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(foreach lib,cudart cublas cufft cusparse curand npp,\
		   debian/lib32$(lib)4.lintian-overrides)
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))


.PHONY: autogen prepare
autogen: $(AUTOGEN)
prepare: autogen unpack-stamp compare-copyright-license


unpack-stamp:
	dh_testdir
	# unpack
	sh ${filename_i386} --noexec --keep --target nvidia-cuda-i386
	sh ${filename_amd64} --noexec --keep --target nvidia-cuda-amd64
	ln -s nvidia-cuda-$(DEB_HOST_ARCH) nvidia-cuda
	# fixup lib{,32,64} directory layout
	mv nvidia-cuda-amd64/lib nvidia-cuda-amd64/lib32
	mv nvidia-cuda-amd64/lib64 nvidia-cuda-amd64/lib
	touch $@

# Reformat the EULA to the format needed for debian/copyright.
nvidia-cuda/doc/EULA.txt: unpack-stamp
EULA.txt: nvidia-cuda/doc/EULA.txt
	cat $<  | fromdos | fromdos | expand \
		| iconv -f CP1255 -t latin1//TRANSLIT \
		| fold -s -w 76 \
		| sed -r ':a; /(MacOS|dylib) *$$/N; s/\n//; ta' \
		| sed -e 's/ *$$//;s/^$$/./;s/^/ /;' \
		> $@

# Compare the license in debian/copyright with the EULA shipped in the archive.
compare-copyright-license: EULA.txt
	sed -e '1,/^License: other-NVIDIA-CUDA-TOOLKIT/d; /^$$/,$$d; /^ .$$/d' debian/copyright > copyright.tmp
	sed -e '/^ .$$/d' EULA.txt > EULA.tmp
	diff -w copyright.tmp EULA.tmp
	rm -f copyright.tmp EULA.tmp


.PHONY: binary binary-arch binary-indep build clean install
binary binary-arch binary-indep build clean install:
	dh $@


override_dh_auto_configure: $(AUTOGEN) unpack-stamp

override_dh_auto_build:
	chmod +x debian/nvcc
	chmod +x debian/nvopencc

override_dh_auto_install:
	mkdir debian/tmp
	cp -al nvidia-cuda-$(DEB_HOST_ARCH) debian/tmp/usr

#override_dh_install:
#	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -p nvidia-compute-profiler debian/tmp/usr/computeprof/doc/Changelog.txt

# running dh_strip is not permitted by the NVIDIA license
override_dh_strip:

override_dh_gencontrol:
	dh_gencontrol -- -V'nvidia:MinVersion=$(version_driver)'

override_dh_auto_clean:
	$(RM) -r nvidia-cuda nvidia-cuda-i386 nvidia-cuda-amd64
	$(RM) EULA.txt EULA.tmp copyright.tmp

override_dh_clean:
	dh_clean
	$(RM) $(AUTOCLEAN)
	$(MAKE) -f debian/rules $(AUTOKEEP)


# Generating control files
%:: %.in debian/rules debian/rules.defs
	perl -p \
	-e 's{#VERSION_TOOLKIT#}{$(version_toolkit)}g;' \
	-e 's{#CUDA_DOWNLOAD_URL#}{$(download_url)}g;' \
	-e 's{#LIBDIR#}{$(libdir)}g;' \
	< $< > $@

debian/lib32%.lintian-overrides: debian/lib%.lintian-overrides
	sed -r -e '/^\[amd64\]: /d; s/^\[i386\]: //; s%usr/lib%usr/lib32%g' $< > $@


.PHONY: get-orig-source
get-orig-source:
	rm -rf get-orig-source || true
	mkdir get-orig-source
	uscan --no-symlink --download-current-version --destdir get-orig-source
	test `ls get-orig-source/* | wc -l` = 2  # we need exactly 2 downloaded files
	@set -e -x ; \
	    cd get-orig-source ; \
	    newversion=$$(ls cudatoolkit_*_linux_32_ubuntu*.run | sed -e 's/.*_\([0-9.]*\)_linux.*\.run/\1/') ; \
	    mkdir nvidia-cuda-toolkit-$${newversion}.orig ; \
	    mv *.run nvidia-cuda-toolkit-$${newversion}.orig/ ; \
	    chmod 0755 nvidia-cuda-toolkit-$${newversion}.orig/* ; \
	    tar cfvz ../nvidia-cuda-toolkit_$${newversion}.orig.tar.gz \
		--owner=root --group=src \
		nvidia-cuda-toolkit-$${newversion}.orig
	rm -rf get-orig-source

=== debian/watch ===
# http://developer.nvidia.com/object/cuda_download.html - download page forward without version number no longer exists
# http://developer.nvidia.com/cuda-toolkit-30-downloads
# ==> http://www.nvidia.com/object/thankyou.html?url=/compute/cuda/3_0/toolkit/cudatoolkit_3.0_linux_32_ubuntu9.04.run
# ==> http://www.nvidia.com/object/thankyou.html?url=/compute/cuda/3_0/toolkit/cudatoolkit_3.0_linux_64_ubuntu9.04.run

version=3
opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
 http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_32_ubuntu(?:.*).run
opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
 http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_64_ubuntu(?:.*).run

# source code for nvopencc and cuda-gdb is available here:
# ftp://download.nvidia.com/CUDAOpen64/

## nvidia-cuda-toolkit 4.2.9

=== debian/changelog ===
nvidia-cuda-toolkit (4.2.9-2) unstable; urgency=low

  * nvcc.profile: Enable the 'LIBRARIES =+ -lcudart' setting to not deviate
    from upstream behavior.  (Closes: #697730)

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 10 Jan 2013 01:19:06 +0100

nvidia-cuda-toolkit (4.2.9-1) unstable; urgency=low

  * New upstream release 4.2 (April 2012).
  * New download URL: http://developer.nvidia.com/cuda-downloads
  * Update symbols files.
  * debian/copyright: Update NVIDIA license.
  * The toolkit now supports GCC 4.6 (but nothing newer).  Add g++-4.6 and
    gcc-4.6 as preferred alternative dependencies.

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 11 May 2012 10:32:07 +0200

nvidia-cuda-toolkit (4.1.28-2) unstable; urgency=low

  * nvidia-visual-profiler: Add dependency on libcuinj4. (Closes: #665931)
  * Move libcuinj.so to libcuinj4 as this gets dlopen()ed.
  * Switch to Standards-Version: 3.9.3 (no changes needed).
  * Use the final copyright-format/1.0 URL.
  * Drop biarch lib32* packages, there were no users of these packages.
    Multi-arch is the way to go.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 12 Apr 2012 21:09:27 +0200

nvidia-cuda-toolkit (4.1.28-1) unstable; urgency=low

  * New upstream release 4.1 (January 2012).
  * Upload to unstable.
  * Update symbols files.
  * Ship cicc and ci_include.h in the nvidia-cuda-toolkit package.  GPUs
    pre-dating the Fermi architecture still need the pre-LLVM compiler.
    Thanks to Tomasz Rybak for testing this.
  * Do not compress examples.
  * The toolkit now supports GCC 4.5 (but nothing newer).  Add g++-4.5 and
    gcc-4.5 as preferred alternative dependencies.
  * nvidia-cuda-toolkit: Add wrapper scripts (used internally by nvcc) for
    gcc/g++ that execute the newest of gcc-4.5/g++-4.5 or gcc-4.4/g++-4.4,
    even if /usr/bin/gcc and /usr/bin/g++ point to a newer version.
  * nvidia-visual-profiler: Ship the copy of Eclipse 3.6 that was included in
    the upstream archive.  I can't get nvvp working properly with the Debian
    Eclipse 3.7.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 22 Feb 2012 15:10:50 +0100

nvidia-cuda-toolkit (4.1.21-1) experimental; urgency=low

  * New upstream release candidate 4.1 RC2.
  * Upload to experimental.
  * Rename package nvidia-compute-profiler to nvidia-visual-profiler, this is
    now a cross-platform application based on eclipse.
  * libcuinj4: New package for the INJ library.
  * libcupti{4,-dev,-doc}: New packages for the NVIDIA CUDA Profiler Tools
    Interface (CUPTI).
  * Update install lists and symbols files.
  * debian/copyright: Update to dep5.mdwn?revision=202.  Add LLVM license.
  * Bump debhelper dependency to 9.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 16 Feb 2012 17:08:36 +0100

=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <debian@abeckmann.de>,
 Russ Allbery <rra@debian.org>,
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 9),
 libqt4-assistant,
 libqt4-xml,
 libqtgui4,
 libcuda1,
Standards-Version: 3.9.3
Homepage: http://www.nvidia.com/CUDA
Vcs-Svn: svn://svn.debian.org/pkg-nvidia/packages/nvidia-cuda-toolkit/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-cuda-toolkit/
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: i386 amd64
Depends:
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}),
 gcc-4.6 | gcc-4.5 | gcc-4.4, g++-4.6 | g++-4.5 | g++-4.4,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-visual-profiler (= ${binary:Version}),
Suggests:
 libcupti-dev,
Description: NVIDIA CUDA toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler etc.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Conflicts: nvidia-cuda-debugger
Replaces: nvidia-cuda-debugger
Description: NVIDIA CUDA GDB
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-visual-profiler
Section: non-free/devel
Architecture: i386 amd64
Depends:
# eclipse-platform,
# eclipse-gef,
 default-jre | java6-runtime,
 libgtk2.0-0,
 libcuinj4,
 ${perl:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Conflicts:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Replaces:
 nvidia-cuda-profiler,
 nvidia-opencl-profiler,
 nvidia-compute-profiler,
Homepage: http://developer.nvidia.com/nvidia-visual-profiler
Description: NVIDIA Visual Profiler
 The NVIDIA Visual Profiler is a cross-platform performance profiling tool
 that delivers developers vital feedback for optimizing CUDA C/C++ and OpenCL
 applications.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 libcudart4 (= ${binary:Version}),
 libcublas4 (= ${binary:Version}),
 libcufft4 (= ${binary:Version}),
 libcusparse4 (= ${binary:Version}),
 libcurand4 (= ${binary:Version}),
 libnpp4 (= ${binary:Version}),
 libcuinj4 (= ${binary:Version}),
 libthrust-dev,
 ${misc:Depends}
Recommends:
 libcuda1,
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: i386 amd64
Depends:
 nvidia-libopencl1 | libopencl1,
 opencl-headers (>= 1.1),
 ${misc:Depends}
Recommends:
 libgl1-mesa-dev | libgl-dev,
Provides:
 opencl-dev,
Breaks:
 nvidia-libopencl1 (<< 195.36.31-90)
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcuda1 (>= ${nvidia:MinVersion})
Conflicts: lib32cudart4
Description: NVIDIA CUDA runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the runtime library.

Package: libcublas4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cublas4
Description: NVIDIA CUDA BLAS runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA BLAS runtime library.

Package: libcufft4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cufft4
Description: NVIDIA CUDA FFT runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA FFT runtime library.

Package: libcusparse4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32cusparse4
Description: NVIDIA CUDA Sparse Matrix runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Sparse Matrix runtime library.

Package: libcurand4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32curand4
Description: NVIDIA CUDA Random Numbers Generation runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Random Numbers Generation runtime library.

Package: libnpp4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: lib32npp4
Homepage: http://developer.nvidia.com/npp
Description: NVIDIA Performance Primitives runtime library
 NVIDIA NPP is a library of functions for performing CUDA accelerated
 processing.  The initial set offunctionality in the library focuses on imaging
 and video processing and is widely applicable for developers in these areas.
 NPP will evolve over time to encompass more of the compute heavy tasks in a
 variety of problem domains.  The NPP library is written to maximize
 flexibility, while maintaining high performance.
 .
 This package contains the NVIDIA Performance Primitives runtime library.

Package: libcuinj4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: nvidia-cuda-dev (<< 4.1.28-2~)
Breaks: nvidia-cuda-dev (<< 4.1.28-2~)
Description: NVIDIA CUDA INJ runtime library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA INJ runtime library.

Package: libcupti4
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface runtime library
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the runtime library.

Package: libcupti-dev
Section: non-free/libdevel
Architecture: i386 amd64
Multi-Arch: same
Depends: libcupti4 (= ${binary:Version}), ${misc:Depends}
Recommends: libcupti-doc
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface development files
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the development files: headers and libraries.

Package: libcupti-doc
Section: non-free/doc
Architecture: all
Depends: ${misc:Depends}
Homepage: http://developer.nvidia.com/cuda-profiling-tools-interface
Description: NVIDIA CUDA Profiler Tools Interface documentation
 The CUDA Profiler Tools Interface (CUPTI) enables the creation of
 profiling and tracing tools that target CUDA applications.  CUPTI
 provides a set of APIs targeted at ISVs creating profilers and other
 performance optimization tools. The CUPTI APIs are not intended to be
 used by developers in their CUDA applications.
 .
 This package contains the documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 include debian/rules.defs
-CUDA_VERSION_TOOLKIT	:= $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2 | cut -d- -f 1)
+CUDA_VERSION_TOOLKIT	:= $(shell dpkg-parsechangelog | sed -nr '/^Version:/s/Version: (.*:)?(.*)-(.*)/\2/p')
 CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
 CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
 MULTIARCH		?=
@@ -23,8 +23,6 @@
 
 TEMPLATES	:= $(wildcard debian/*.in)
 AUTOGEN         += $(patsubst %.in,%,$(TEMPLATES))
-AUTOGEN		+= $(foreach lib,cudart cublas cufft cusparse curand npp,\
-		   debian/lib32$(lib)4.lintian-overrides)
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -43,6 +41,10 @@
 	# fixup lib{,32,64} directory layout
 	mv nvidia-cuda-amd64/lib nvidia-cuda-amd64/lib32
 	mv nvidia-cuda-amd64/lib64 nvidia-cuda-amd64/lib
+	mv nvidia-cuda-amd64/extras/CUPTI/lib nvidia-cuda-amd64/extras/CUPTI/lib32
+	mv nvidia-cuda-amd64/extras/CUPTI/lib64 nvidia-cuda-amd64/extras/CUPTI/lib
+	# fixup permissions
+	chmod -x nvidia-cuda-*/nvvm/*.h
 	touch $@
 
 # Reformat the EULA to the format needed for debian/copyright.
@@ -51,7 +53,7 @@
 	cat $<  | fromdos | fromdos | expand \
 		| iconv -f CP1255 -t latin1//TRANSLIT \
 		| fold -s -w 76 \
-		| sed -r ':a; /(MacOS|dylib) *$$/N; s/\n//; ta' \
+		| sed -r ':a; /(MacOS|dylib) +$$/N; s/\n//; ta' \
 		| sed -e 's/ *$$//;s/^$$/./;s/^/ /;' \
 		> $@
 
@@ -70,10 +72,6 @@
 
 override_dh_auto_configure: $(AUTOGEN) unpack-stamp
 
-override_dh_auto_build:
-	chmod +x debian/nvcc
-	chmod +x debian/nvopencc
-
 override_dh_auto_install:
 	mkdir debian/tmp
 	cp -al nvidia-cuda-$(DEB_HOST_ARCH) debian/tmp/usr
@@ -81,12 +79,11 @@
 #override_dh_install:
 #	dh_install --list-missing
 
-override_dh_installchangelogs:
-	dh_installchangelogs
-	dh_installchangelogs -p nvidia-compute-profiler debian/tmp/usr/computeprof/doc/Changelog.txt
-
 # running dh_strip is not permitted by the NVIDIA license
 override_dh_strip:
+
+override_dh_compress:
+	dh_compress -X.c -X.h -Xindex.hh
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V'nvidia:MinVersion=$(version_driver)'
@@ -109,9 +106,7 @@
 	-e 's{#LIBDIR#}{$(libdir)}g;' \
 	< $< > $@
 
-debian/lib32%.lintian-overrides: debian/lib%.lintian-overrides
-	sed -r -e '/^\[amd64\]: /d; s/^\[i386\]: //; s%usr/lib%usr/lib32%g' $< > $@
-
+############################################################################
 
 .PHONY: get-orig-source
 get-orig-source:

=== debian/watch ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 version=3
 opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
- http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_32_ubuntu(?:.*).run
+ http://developer.nvidia.com/cuda-downloads .*/cudatoolkit_(.*)_linux_32_ubuntu(?:.*).run
 opts=downloadurlmangle=s/www\.nvidia\.com.*url=/developer.download.nvidia.com/ \
- http://developer.nvidia.com/cuda-toolkit-40 .*/cudatoolkit_(.*)_linux_64_ubuntu(?:.*).run
+ http://developer.nvidia.com/cuda-downloads .*/cudatoolkit_(.*)_linux_64_ubuntu(?:.*).run
 
 # source code for nvopencc and cuda-gdb is available here:
 # ftp://download.nvidia.com/CUDAOpen64/
